function [x,ynum]=resitev(f,n,a,b,ya,yb)
%RESITEV vrne priblizke za resitev robnega problema
%[x,ynum]=RESITEV(f,n,a,b,ya,yb);
%x je zaporedje x_i, ynum priblizki y_i
%f je funkcija f na desni strani, n notranjih tock x_i
%a in b sta krajisci intervala, ya in yb vrednosti v teh krajiscih

%generiramo podatke: x, desna, A

x=linspace(a,b,n+2)';
h=x(2)-x(1);
desna=h^2*feval(f,x(2:end-1));
desna([1,end])=desna([1,end])-[ya;yb];

enke=ones(1,n-1);
A=diag(enke,-1)+diag(enke,1)-2*diag(enke);

ynum=A\desna;
ynum=[ya;ynum;yb];